[P100]patent PUM
This interface provides all PUM information (including Property, Unit, and Measurement) in the patent text
The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 9cf648f8-8283-4767-9a14-f90f68303f3e,7353c607-0594-4592-b99e-aea9f517de17 | patent_id |
| string | CN108977442B | patent_number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
pn | string | CN113769175B | patent publication number |
ppi_info | array | Please check the form: MaterialPpiInfo | material property hit information |
ppi_id | integer<int32> | 17011850 | material property id |
ppi_detail | array | Please check the form: MaterialPpiDetail | material property hit detail information |
section | string | claim | section |
raw_unit | string | μm | unit |
raw_property | string | 粒径 | material property name |
measurement_max | number<double> | 200 | measurement max |
measurement_min | number<double> | 5 | measurement min |
lower_bound | number<double> | - | property norm measurement min |
upper_bound | number<double> | 1000000000 | property norm measurement max |
display_name_cn | string | 粒子直径 | property norm chinese name |
display_name_en | string | particle diameter | property norm english name |
print_friendly_units | string | μm | property norm unit |
patent_id | string | 05da3d4e-6f13-4005-9a2d-0645d2554cbf | patent id |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"pn": "CN113769175B",
"ppi_info": [
{
"ppi_id": 17011850,
"ppi_detail": [
{
"section": "claim",
"raw_unit": "μm",
"raw_property": "粒径",
"measurement_max": 200,
"measurement_min": 5
}
],
"lower_bound": 0,
"upper_bound": 1000000000,
"display_name_cn": "粒子直径",
"display_name_en": "particle diameter",
"print_friendly_units": "μm"
}
],
"patent_id": "05da3d4e-6f13-4005-9a2d-0645d2554cbf"
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms